Page MenuHomePhabricator

Allow import to different page name
Open, LowestPublic

Description

When importing, you should be able to enter the destination page name, rather than having the wiki select it based on the old page name.

This may only be possible for transwiki import, due to the complex nature of XML dumps.


Original description:
At the moment, importing pages (when activated) from other wikipediae is only
possible with the same pagename in the source-wiki as in the target-wiki. Is it
possible, just like with uploading images, to have the possibility to give the
page in the targetwiki another name as in the sourcewiki? for example, when we
want to copy the page [[pie]] in wikipedia to [[Coockingbook/pie]] in wikibooks,
because there is a recipe on that page, we can now only import to [[b:pie]], and
then rename it to [[coockingbook/pie]]. This is not very nice of course, but
give problems when there already exists a page with the same name, but with
other content.


Version: unspecified
Severity: enhancement
URL: http://nl.wikibooks.org/wiki/special:import

Details

Reference
bz6808

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:15 PM
bzimport set Reference to bz6808.
bzimport added a subscriber: Unknown Object (MLST).

londenp wrote:

Examples:

"nl:w:Periodiek systeem" I could not import. There was a redirect in the way. I
deleted the redirect and it was still not possible to import into nl.wikibooks.

  1. "nl:w:Ei (voeding)" I could not import into wikibooks. Also with underscore

"Ei_(voeding)" it would not work. There is or was no article in wikibooks with
this name (nor "Ei"), so reason unknown.

Good luck

londenp wrote:

It seems like that you can not import pages into another wiki, when this page on
the original wiki has more than 100 versions.

The limit for import are 100 revisions. See [[bug 6646]] for creating an
errormessage if import fails.

sebmol wrote:

This problem has gotten more important now that [[v:|Wikiversity]] is up and
huge amounts need to be imported from [[b:|Wikibooks]] and [[m:|Meta]]. Right
now, we import, move and delete the redirect which is awfully tedious when doing
that dozens of times.

digitalme.wiki wrote:

Looking at the code in SpecialImport.php, I don't think that this would be über
hard at all, and in fact I could probably hack something together that would do
this, but I wouldn't count on it actually working.

dto wrote:

For each <page> element in the outputted xml, there is only one <title> element
that specifies the title of the page. Replacing that with the desired title
should work for the time being. (It's surely easier than import+move+delete
redirect.)

sebmol wrote:

That option only works for XML import, not transwiki import. In other words,
this is a viable temporary solution for individual mediawiki installations but
can't be used on wikimedia setups.

Fixed with r24237.

robchur wrote:

Note that this *will break* when we change things so multiple pages can be imported from a remote wiki at once. Import streams can contain a single page, which is what the current implementation of this request hopes for, or they can contain multiple pages, which would cause things to go horribly wrong here.

brion added a comment.Jul 18 2007, 8:06 PM

Reverted in r24250 for now.

rene.kijewski wrote:

I think it should at be possible the change the destination, if one imports a distinct page. Also to import into the uploaders user space by default could be an option.

If you would allow either one of this possibilities and would enable "importing" out of the same project, one could use it as a page duplicator.

Mass compoment change: <some> -> Export/Import

Since gerrit 17809 you can import pages as subpages

Doug added a comment.Nov 3 2012, 10:27 PM

So, is this bug fixed?

dasch wrote:

I think it would be great if there also where an option to import into a totaly other pagename.

I believe that this is now possible, and think that it can be closed. Any disagreement to that?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 5:54 AM
Billinghurst moved this task from Backlog to Done on the Wikisource board.Sep 23 2015, 6:20 AM

dasch wrote:

I think it would be great if there also where an option to import into a totaly other pagename.

That isn't implemented. I'll update the description.

TTO lowered the priority of this task from Low to Lowest.Sep 23 2015, 1:07 PM
TTO updated the task description. (Show Details)
TTO set Security to None.
TTO removed a subscriber: wikibugs-l-list.

Lowest priority:

  • For transwiki import, you can just move the page after importing it
  • For XML dump import, you can edit the dump to change the page titles and namespaces (this is much more powerful than any UI we could develop)
Billinghurst added a comment.EditedSep 23 2015, 1:46 PM

I am misunderstanding the request as when I go to special:import I see in both the xml and the interwiki import the following options

Import to default locations
Import to a namespace:
Import as subpages of the following page:

with a radio button to identify the type of end game. Are we looking for a fourth option of "brand new name"?

Meno25 removed a subscriber: Meno25.Feb 22 2016, 7:10 PM
Xover added a subscriber: Xover.Sep 17 2019, 12:57 PM

Are we looking for a fourth option of "brand new name"?

That is indeed what I take this request to be; and, speaking for myself, an obvious option to have for this function. In fact, having the subpage option would to me be a distant fourth after "same page name", "different page name", "same page name in a different namespace". In terms of expectations, transwiki import is semantically similar to moving a page internally on a wiki: being able to specify the new name is sort of fundamental to that operation.

Xover added a comment.Sep 17 2019, 1:00 PM

PS. Also: 13 years since this request was filed y'all! Probability of getting addressed tends to be inversely proportional to age of the request, so this is now the third least likely request to be addressed that I follow.

Correct, 'entirely new name' seems a great final option. I guess with the subpages, you could make any workaround at least, by making it a subpage of a random pagename, and then renaming it. So the importance of resolving this has reduced.